unstable_remove_if.hpp File Reference

## Functions

template<typename I , typename C , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::I (requires ` bidirectional_iterator< I > &&permutable< I > &&indirect_unary_predicate< C, projected< I, P >>) III unstable_remove_if(I first
| unstable_remove have O(1) complexity for each element remove, unlike remove O(n) [for worst case]. Each erased element overwritten (moved in) with last one. unstable_remove_if does not preserve relative element order. More...